package com.brilliance.isc.mda.dao;

import com.brilliance.isc.esb.newmodel.tasks.Extor;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface ExtorMapper {

    int insert(Extor record);

    int insertSelective(Extor record);

    int updateByPrimaryKeySelective(Extor record);

    int updateByPrimaryKey(Extor record);

    int deleteByPrimaryKey(Extor record);

    int deleteByIds(Collection<Object> collection);

    Extor selectByPrimaryKey(Extor record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Extor> dyncRead(Map<String,Object> dyncMap);

}